UEFI-MANAGER(1)

NAME
uefi-manager - tool for managing UEFI boot entries

SYNOPSIS
uefi-manager [OPTIONS]

DESCRIPTION
uefi-manager is a graphical user interface tool for managing UEFI (Unified Extensible Firmware Interface) boot entries. It allows users to view, add, modify, and delete UEFI boot entries using the efibootmgr utility. Additionally, it provides EFI stub installation capabilities to create direct UEFI boot entries for kernels and initramfs images, bypassing traditional bootloaders like GRUB.

The tool requires UEFI firmware support and will exit if the system does not appear to be booted in UEFI mode.

OPTIONS

-f, --frugal
    Perform EFI Stub installation for frugal installation (only for MX/antiX frugal installations).

-t, --test
    Run in test mode, bypassing UEFI detection for GUI testing purposes.

-h, --help
    Display help information and exit.

-v, --version
    Display version information and exit.

EXAMPLES

uefi-manager
    Launch the UEFI Manager graphical interface to manage boot entries.

uefi-manager --frugal
    Launch with frugal installation mode enabled.

ENVIRONMENT
The tool sets appropriate Qt platform plugins and environment variables for proper GUI operation, including support for X11 and Wayland environments.

FILES

/sys/firmware/efi/efivars
    Directory checked for UEFI firmware presence.

SEE ALSO
efibootmgr(8)

AUTHOR
MX Linux Developers, Adrian <adrian@mxlinux.org>

BUGS
Report bugs at https://github.com/MX-Linux/uefi-manager/issues

LICENSE
GNU General Public License version 3 or later.